/**************************************************************************
 
 	paddle.h
 
  	Project: RockBlast an asteroid game. 
 
	Copyright (c) Febuary 2001 Garett Spencley
 
   	This program is free software; you can redistribute it and/or modify
   	it under the terms of the GNU General Public License as published by
   	the Free Software Foundation; either version 2, or (at your option)
   	any later version.

   	This program is distributed in the hope that it will be useful,
   	but WITHOUT ANY WARRANTY; without even the implied warranty of
   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   	GNU General Public License for more details.

   	You should have received a copy of the GNU General Public License
   	along with this program; if not, write to the Free Software Foundation,
   	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

****************************************************************************/

#ifndef __PADDLE_H__
#define __PADDLE_H__

#include "video.h"
#include "rockblast.h"

#define PADDLE_SPEED 24

typedef enum { PADDLE_LEFT, PADDLE_RIGHT } p_direction;

typedef struct {
	int dx;
	object obj;
} paddle_t;

void init_paddle(paddle_t *);
void move_paddle(paddle_t *, p_direction);
void erase_paddle(paddle_t *);
void draw_paddle(paddle_t *);

#endif
